Empower 3 and Labware LIMS 5 interface

<p>Has anyone tried Empower 3 with Labware LIMS 5 (and thereby, version 3 of the interface)?  Labware says that only version 4 of the interface works with Empower 3, and requires Labware LIMS to be upgraded to v.6.  Just wanted to query the forum to see if anyone has tried with LIMS 5 and ver 3 of the interface).</p><p>Thank you. </p>
Sign In or Register to comment.